import pandas as pd
import pymongo
import datetime

from settings import settings

start_date = f'{datetime.datetime.now().year}-01-01'
end_date = (datetime.datetime.now() - datetime.timedelta(days=150)).strftime('%Y-%m-%d')

pd.date_range(start_date, end_date, freq="D")

MONGO_URI = settings.local_mongo_uri

myclient = pymongo.MongoClient(MONGO_URI)
game_list = [item['id_name'] for item in
             myclient['admin_game']['game'].find({'id_name': {'$exists': True}}, {'id_name': True})]


for db in game_list:
    mydb = myclient[f'game_{db}']
    for d in pd.date_range(start_date, end_date, freq="D").to_list():
        day = d.strftime('%Y-%m-%d')
        event_coll = mydb[f'event_{day}']
        event_coll.drop()
        print(f'{db}  {day}')
